Subject: bug#1343: bug#27397: [PATCH] New commands for bulk tracing of elisp functions

From: Phil Sainty <[email-masked]>
Date: Tue, 13 Sep 2022 10:17:24 +1200

On 2022-09-13 01:26, Michael Albinus wrote:
> There are also chatty functions, which ... add serious noise
> 
> For that reason, Tramp marks such functions with a function property,
> 
> Or, dynamically, the global variable inhibit-trace could keep a value
> of such functions suppressed for trace.

Oddly enough, this had also occurred to me yesterday as a useful
improvement.  I was thinking of a global list of functions not to
be traced, but your symbol property approach seems like a good idea
as well.  Perhaps "both" is good.  For symbol properties I think
there would need to be a variable to control whether or not that
was respected, to make it relatively easy to force them to be traced
regardless.

> I wouldn't use `tramp' as example for `trace-library'.

No problem.  I think the example dates back to the info on tracing
which used to appear in (info "(tramp) Traces and Profiles") but
I'd noticed that had been deleted when I was rebasing this work.

-Phil